## mpg123audiodec mpg123audiodec |

## Types and Values

struct | GstMpg123AudioDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstMpg123AudioDec

## Description

Audio decoder for MPEG-1 layer 1/2/3 audio data.

### Example pipelines

    1
    gst-launch-1.0 filesrc location=music.mp3 ! mpegaudioparse ! mpg123audiodec ! audioconvert ! audioresample ! autoaudiosink

Decode and play the mp3 file

## Synopsis

### Element Information

plugin | mpg123
author | Carlos Rafael Giani <dv@pseudoterminal.org>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ], rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ], parsed=(boolean)true

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, U16LE, S32LE, U32LE, S24LE, U24LE, F32LE }, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstMpg123AudioDec

    struct GstMpg123AudioDec;

## See Also

lamemp3enc, mad